edu.sc.seis.sod.status

## Class FissuresFormatter

- java.lang.Object
- - edu.sc.seis.sod.status.FissuresFormatter

-     public class FissuresFormatter
      extends java.lang.Object

  this class largely exists as an access for various utility methods for Velocity templates.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static edu.sc.seis.fissuresUtil.chooser.ThreadSafeSimpleDateFormat` | `longFileFormat`
    `static edu.sc.seis.fissuresUtil.chooser.ThreadSafeSimpleDateFormat` | `longFormat`
    `static edu.sc.seis.fissuresUtil.chooser.ThreadSafeSimpleDateFormat` | `mediumFormat`
    `static edu.sc.seis.fissuresUtil.display.ParseRegions` | `pr`
    `static edu.sc.seis.fissuresUtil.chooser.ThreadSafeSimpleDateFormat` | `yearDateFormat`
    `static edu.sc.seis.fissuresUtil.chooser.ThreadSafeSimpleDateFormat` | `ymdDateFormat`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FissuresFormatter()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `dasherizeSiteCode(java.lang.String s)`
    `static java.lang.String` | `fancyFormat(java.util.Date d)`
    `static java.lang.String` | `filize(java.lang.String path)`
    `static java.lang.String` | `filize(java.lang.String base, java.lang.String extension)`
    `static java.lang.String` | `formatChannel(edu.iris.Fissures.IfNetwork.ChannelId id)`
    `static java.lang.String` | `formatDate(java.util.Date d)`
    `static java.lang.String` | `formatDate(edu.iris.Fissures.Time t)`
    `static java.lang.String` | `formatDateForFile(java.util.Date d)`
    `static java.lang.String` | `formatDateForFile(edu.iris.Fissures.IfEvent.Origin origin)`
    `static java.lang.String` | `formatDateForFile(edu.iris.Fissures.Time t)`
    `static java.lang.String` | `formatDepth(edu.iris.Fissures.model.QuantityImpl impl)`
    `static java.lang.String` | `formatDistance(edu.iris.Fissures.model.QuantityImpl impl)`
    `static java.lang.String` | `formatElevation(edu.iris.Fissures.model.QuantityImpl impl)`
    `static java.lang.String` | `formatMagnitude(edu.iris.Fissures.IfEvent.Magnitude m)`
    `static java.lang.String` | `formatNetwork(edu.iris.Fissures.IfNetwork.NetworkId id)`
    `static java.lang.String` | `formatNetwork(edu.iris.Fissures.IfNetwork.StationId id)`
    `static java.lang.String` | `formatNetworkYear(edu.iris.Fissures.IfNetwork.NetworkId id)`
    `static java.lang.String` | `formatQuantity(edu.iris.Fissures.model.QuantityImpl q)`
    `static java.lang.String` | `formatSite(edu.iris.Fissures.IfNetwork.SiteId id)`
    `static java.lang.String` | `formatStation(edu.iris.Fissures.IfNetwork.StationId id)`
    `static java.lang.String` | `formatYear(java.util.Date d)`
    `static java.lang.String` | `formatYMD(java.util.Date d)`
    `static edu.iris.Fissures.model.QuantityImpl` | `getAzimuth(edu.iris.Fissures.Location from, edu.iris.Fissures.Location to)`
    `static edu.iris.Fissures.model.QuantityImpl` | `getAzimuth(edu.iris.Fissures.IfNetwork.Station station, edu.iris.Fissures.IfEvent.Origin origin)`
    `static edu.iris.Fissures.model.QuantityImpl` | `getBackAzimuth(edu.iris.Fissures.Location from, edu.iris.Fissures.Location to)`
    `static edu.iris.Fissures.model.QuantityImpl` | `getBackAzimuth(edu.iris.Fissures.IfNetwork.Station station, edu.iris.Fissures.IfEvent.Origin origin)`
    `static edu.iris.Fissures.model.QuantityImpl` | `getDepth(edu.iris.Fissures.Location loc)`
    `static edu.iris.Fissures.model.QuantityImpl` | `getDepth(edu.iris.Fissures.IfEvent.Origin origin)`
    `static java.text.NumberFormat` | `getDepthFormat()`
    `static edu.iris.Fissures.model.QuantityImpl` | `getDistance(java.util.ArrayList list)`
    `static edu.iris.Fissures.model.QuantityImpl` | `getDistance(edu.iris.Fissures.Location from, edu.iris.Fissures.Location to)`
    `static edu.iris.Fissures.model.QuantityImpl` | `getDistance(edu.iris.Fissures.IfNetwork.Station station, edu.iris.Fissures.IfEvent.Origin origin)`
    `static java.text.NumberFormat` | `getDistFormat()`
    `static edu.iris.Fissures.model.MicroSecondDate` | `getEffectiveBegin(edu.iris.Fissures.IfNetwork.Station station)`
    `static edu.iris.Fissures.model.MicroSecondDate` | `getEffectiveEnd(edu.iris.Fissures.IfNetwork.Station station)`
    `static edu.iris.Fissures.model.QuantityImpl` | `getElevation(edu.iris.Fissures.Location loc)`
    `static float` | `getLatitude(edu.iris.Fissures.Location loc)`
    `static float` | `getLatitude(edu.iris.Fissures.IfEvent.Origin origin)`
    `static float` | `getLatitude(edu.iris.Fissures.IfNetwork.Station station)`
    `static java.lang.String` | `getLatitudeString(edu.iris.Fissures.Location loc)`
    `static float` | `getLongitude(edu.iris.Fissures.Location loc)`
    `static float` | `getLongitude(edu.iris.Fissures.IfEvent.Origin origin)`
    `static float` | `getLongitude(edu.iris.Fissures.IfNetwork.Station station)`
    `static java.lang.String` | `getLongitudeString(edu.iris.Fissures.Location loc)`
    `static edu.iris.Fissures.model.MicroSecondDate` | `getRangeBegin(edu.iris.Fissures.TimeRange range)`
    `static edu.iris.Fissures.model.MicroSecondDate` | `getRangeEnd(edu.iris.Fissures.TimeRange range)`
    `static boolean` | `isEmpty(java.lang.Object[] array)`
    `static boolean` | `isNull(java.lang.Object obj)`
    `static int` | `length(java.lang.Object[] array)`
    `static java.lang.String` | `networkName(edu.iris.Fissures.IfNetwork.NetworkAccess net)`
    `static java.lang.String` | `networkName(edu.iris.Fissures.IfNetwork.NetworkAttr net)`
    `static edu.iris.Fissures.model.MicroSecondDate` | `now()`
    `static java.lang.String` | `oneLineAndClean(java.lang.String in)`
    `static java.lang.String` | `stationName(edu.iris.Fissures.IfNetwork.Station station)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ymdDateFormat

          public static edu.sc.seis.fissuresUtil.chooser.ThreadSafeSimpleDateFormat ymdDateFormat

    - #### yearDateFormat

          public static edu.sc.seis.fissuresUtil.chooser.ThreadSafeSimpleDateFormat yearDateFormat

    - #### longFileFormat

          public static edu.sc.seis.fissuresUtil.chooser.ThreadSafeSimpleDateFormat longFileFormat

    - #### longFormat

          public static edu.sc.seis.fissuresUtil.chooser.ThreadSafeSimpleDateFormat longFormat

    - #### mediumFormat

          public static edu.sc.seis.fissuresUtil.chooser.ThreadSafeSimpleDateFormat mediumFormat

    - #### pr

          public static edu.sc.seis.fissuresUtil.display.ParseRegions pr

  - ### Constructor Detail

    - #### FissuresFormatter

          public FissuresFormatter()

  - ### Method Detail

    - #### formatQuantity

          public static java.lang.String formatQuantity(edu.iris.Fissures.model.QuantityImpl q)

    - #### formatMagnitude

          public static java.lang.String formatMagnitude(edu.iris.Fissures.IfEvent.Magnitude m)

    - #### formatChannel

          public static java.lang.String formatChannel(edu.iris.Fissures.IfNetwork.ChannelId id)

    - #### dasherizeSiteCode

          public static java.lang.String dasherizeSiteCode(java.lang.String s)

    - #### formatSite

          public static java.lang.String formatSite(edu.iris.Fissures.IfNetwork.SiteId id)

    - #### formatStation

          public static java.lang.String formatStation(edu.iris.Fissures.IfNetwork.StationId id)

    - #### formatNetwork

          public static java.lang.String formatNetwork(edu.iris.Fissures.IfNetwork.StationId id)

    - #### formatNetwork

          public static java.lang.String formatNetwork(edu.iris.Fissures.IfNetwork.NetworkId id)

    - #### formatNetworkYear

          public static java.lang.String formatNetworkYear(edu.iris.Fissures.IfNetwork.NetworkId id)

    - #### networkName

          public static java.lang.String networkName(edu.iris.Fissures.IfNetwork.NetworkAccess net)

    - #### networkName

          public static java.lang.String networkName(edu.iris.Fissures.IfNetwork.NetworkAttr net)

    - #### stationName

          public static java.lang.String stationName(edu.iris.Fissures.IfNetwork.Station station)

    - #### getDepth

          public static edu.iris.Fissures.model.QuantityImpl getDepth(edu.iris.Fissures.IfEvent.Origin origin)

    - #### getDepth

          public static edu.iris.Fissures.model.QuantityImpl getDepth(edu.iris.Fissures.Location loc)

    - #### getElevation

          public static edu.iris.Fissures.model.QuantityImpl getElevation(edu.iris.Fissures.Location loc)

    - #### getLatitude

          public static float getLatitude(edu.iris.Fissures.IfNetwork.Station station)

    - #### getLatitude

          public static float getLatitude(edu.iris.Fissures.IfEvent.Origin origin)

    - #### getLatitude

          public static float getLatitude(edu.iris.Fissures.Location loc)

    - #### getLatitudeString

          public static java.lang.String getLatitudeString(edu.iris.Fissures.Location loc)

    - #### getLongitude

          public static float getLongitude(edu.iris.Fissures.IfNetwork.Station station)

    - #### getLongitude

          public static float getLongitude(edu.iris.Fissures.IfEvent.Origin origin)

    - #### getLongitude

          public static float getLongitude(edu.iris.Fissures.Location loc)

    - #### getLongitudeString

          public static java.lang.String getLongitudeString(edu.iris.Fissures.Location loc)

    - #### isNull

          public static boolean isNull(java.lang.Object obj)

    - #### isEmpty

          public static boolean isEmpty(java.lang.Object[] array)

    - #### length

          public static int length(java.lang.Object[] array)

    - #### getEffectiveBegin

          public static edu.iris.Fissures.model.MicroSecondDate getEffectiveBegin(edu.iris.Fissures.IfNetwork.Station station)

    - #### getEffectiveEnd

          public static edu.iris.Fissures.model.MicroSecondDate getEffectiveEnd(edu.iris.Fissures.IfNetwork.Station station)

    - #### getRangeBegin

          public static edu.iris.Fissures.model.MicroSecondDate getRangeBegin(edu.iris.Fissures.TimeRange range)

    - #### getRangeEnd

          public static edu.iris.Fissures.model.MicroSecondDate getRangeEnd(edu.iris.Fissures.TimeRange range)

    - #### getDistance

          public static edu.iris.Fissures.model.QuantityImpl getDistance(java.util.ArrayList list)

    - #### getDistance

          public static edu.iris.Fissures.model.QuantityImpl getDistance(edu.iris.Fissures.IfNetwork.Station station,
                                                                         edu.iris.Fissures.IfEvent.Origin origin)

    - #### getDistance

          public static edu.iris.Fissures.model.QuantityImpl getDistance(edu.iris.Fissures.Location from,
                                                                         edu.iris.Fissures.Location to)

    - #### getAzimuth

          public static edu.iris.Fissures.model.QuantityImpl getAzimuth(edu.iris.Fissures.IfNetwork.Station station,
                                                                        edu.iris.Fissures.IfEvent.Origin origin)

    - #### getAzimuth

          public static edu.iris.Fissures.model.QuantityImpl getAzimuth(edu.iris.Fissures.Location from,
                                                                        edu.iris.Fissures.Location to)

    - #### getBackAzimuth

          public static edu.iris.Fissures.model.QuantityImpl getBackAzimuth(edu.iris.Fissures.IfNetwork.Station station,
                                                                            edu.iris.Fissures.IfEvent.Origin origin)

    - #### getBackAzimuth

          public static edu.iris.Fissures.model.QuantityImpl getBackAzimuth(edu.iris.Fissures.Location from,
                                                                            edu.iris.Fissures.Location to)

    - #### formatDate

          public static java.lang.String formatDate(java.util.Date d)

    - #### formatDate

          public static java.lang.String formatDate(edu.iris.Fissures.Time t)

    - #### formatDateForFile

          public static java.lang.String formatDateForFile(java.util.Date d)

    - #### formatDateForFile

          public static java.lang.String formatDateForFile(edu.iris.Fissures.Time t)

    - #### formatDateForFile

          public static java.lang.String formatDateForFile(edu.iris.Fissures.IfEvent.Origin origin)

    - #### fancyFormat

          public static java.lang.String fancyFormat(java.util.Date d)

    - #### formatYear

          public static java.lang.String formatYear(java.util.Date d)

    - #### formatYMD

          public static java.lang.String formatYMD(java.util.Date d)

    - #### now

          public static edu.iris.Fissures.model.MicroSecondDate now()

    - #### filize

          public static java.lang.String filize(java.lang.String base,
                                                java.lang.String extension)

    - #### filize

          public static java.lang.String filize(java.lang.String path)

    - #### formatDistance

          public static java.lang.String formatDistance(edu.iris.Fissures.model.QuantityImpl impl)

    - #### formatDepth

          public static java.lang.String formatDepth(edu.iris.Fissures.model.QuantityImpl impl)

    - #### formatElevation

          public static java.lang.String formatElevation(edu.iris.Fissures.model.QuantityImpl impl)

    - #### getDepthFormat

          public static java.text.NumberFormat getDepthFormat()

    - #### getDistFormat

          public static java.text.NumberFormat getDistFormat()

    - #### oneLineAndClean

          public static java.lang.String oneLineAndClean(java.lang.String in)